﻿using System.Windows;
using Async.Workers;
using System.Collections.ObjectModel;

namespace Async
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		IDoWork _worker;

		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			ObservableCollection<FlickrImage> images = new ObservableCollection<FlickrImage>();
			Images.ItemsSource = images;

			_worker = new TheBadWay();
//			_worker = new TheOldWay();
//			_worker = new TheNewWay();
//			_worker = new TheWaitingWay();
//			_worker = new TheCancellationWay();
//          _worker = new TheParallelWay();
//			_worker = new TheTaskRunWay();
//			_worker = new TheConfigureAwaitWay();

			_worker.DoWork(images);
		}

		private void Cancel_Click(object sender, RoutedEventArgs e)
		{
			_worker.Cancel();
		}
	}
}
